// This ensures the code is only executed on the client-side
"use client"; // Ensures this runs only on the client

import { initializeApp } from "firebase/app";
import { getRemoteConfig, fetchAndActivate, getValue, RemoteConfig } from "firebase/remote-config";


// 🔥 Replace this with your actual Firebase config from Firebase Console
// Your web app's Firebase configuration
const firebaseConfig = {
    apiKey: "AIzaSyAOAhbHfF1LNO3MyiZBRpJd5c0obJyFQDg",
    authDomain: "tammeir-tammeir.firebaseapp.com",
    projectId: "tammeir-tammeir",
    storageBucket: "tammeir-tammeir.firebasestorage.app",
    messagingSenderId: "365564390288",
    appId: "1:365564390288:web:f4f3e34ff95d40951e2115"
  };

// ✅ Initialize Firebase
const app = initializeApp(firebaseConfig);

// ✅ Setup Remote Config

// ✅ Ensure Remote Config only runs in the browser

let remoteConfig: RemoteConfig | null = null;

// ✅ Only run Remote Config if on the client
if (typeof window !== "undefined") {
  console.log("✅ Running in the browser, initializing Remote Config...");
  remoteConfig = getRemoteConfig(app);
  remoteConfig.settings.minimumFetchIntervalMillis = 3600000; 
} else {
  console.warn("❌ Running on the server. Remote Config will not be initialized.");
}

export { remoteConfig, fetchAndActivate, getValue };





